Subject: [Hipsec] [Fwd: Re: Identity Checking in Application Protocols]

From: Miika Komu <[email-masked]>
Date: Wed, 02 Dec 2009 00:03:12 +0200

Hi,

any comments for Peter?

-------- Original Message --------
Subject: Re: Identity Checking in Application Protocols
Date: Tue, 01 Dec 2009 09:58:38 -0700
From: Peter Saint-Andre <[email-masked]>
To: [email-masked]
References: <[email-masked]> <[email-masked]>

Terve,

It's not clear to me what the text needs to say, so I would welcome a
contribution. However, it's also not clear to me that we have consensus
to cover anything but the combination of (1) server identities within
(2) CA-issued certificates used in the context of (3) TLS. How does HIP
fit into that model?

Peter

On 10/27/09 4:17 AM, Miika Komu wrote:
> Peter Saint-Andre wrote:
> 
> Hi Peter,
> 
> could you add a section on RFC4843 based authentication? Some other
> references:
> 
> http://tools.ietf.org/html/rfc5338
> http://tools.ietf.org/html/draft-ietf-hip-native-api
> 
> Thanks!
> 
> P.S. I also find somebody who can also contribute text if this is needed.
> 
> I had hoped to update draft-saintandre-tls-server-id-check before the
> submission cutoff today, but it's not going to happen because there's
> quite a bit of feedback to sift through (ideally I would have followed
> the list discussions more closely the first time around).  However, I
> shall work to update it in the next few days, at which time I will also
> rename it to remove the strings "tls" and "server" since the scope of
> the spec has widened to include non-TLS interactions as well as client
> identity checking. My apologies for the delay.
> 
> Peter
>